Subject: [bonding] Add basic support for dynamic configuration of bond interfaces

From: Amir Noam <[email-masked]>
Date: Thu, 8 Jan 2004 18:19:54 +0200

The following patch sets provide basic support for future bonding 
operations (specifically for dynamic configuration of bonding 
interfaces).

This is done by adding two new bonding ioctls: one for deviceless 
commands (an ioctl hook) and one for device oriented commands. Like 
ethtool, the first u32 value in the data structure will indicate the 
exact sub-command to be executed.

The sets are against the latest netdev-2.4 and net-drivers-2.5-exp 
trees.

-- 
Amir